* {
  margin: 0;
  box-sizing: border-box;
}

body {
  filter: blur(0.1px);
  overflow: hidden;
}

.background {
  width: 140vh;
  height: 100vh;
  z-index: -10;
  position: absolute;
  pointer-events: none;
  -webkit-box-reflect: right -1px;
}

.board {
  width: 600px;
  height: 600px;
  display: flex;
  flex-wrap: wrap;
  margin: auto;
  background: linear-gradient(
    133.05deg,
    rgba(46, 211, 58, 0.9) 0.9%,
    rgba(211, 46, 206, 0.9) 102.4%
  );
  border-radius: 8px;
  justify-content: space-between;
}

.card {
  width: 23%;
  height: 24%;
  position: relative;
  margin: 5px;
  transform: scale(1);
  transform-style: preserve-3d;
  transition: transform 0.8s ease-in-out;
}

.card:active {
  transform: scale(0.97);
  transition: transform 0.8s ease-in-out;
}

.card.flip {
  transform: rotateY(180deg);
}

.front,
.back {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 20px;
  border-radius: 5px;
  backface-visibility: hidden;
}

.back {
  content: url("./img/Card_Back.png");
  cursor: pointer;
}

.front {
  transform: rotateY(180deg);
}

.title {
  background: linear-gradient(
    133.05deg,
    rgba(46, 211, 58, 0.6) 0.9%,
    rgba(211, 46, 206, 0.6) 102.4%
  );
  border-radius: 5px;
  font-family: "Joker", sans-serif;
  font-style: normal;
  font-size: 30px;
  line-height: 40px;
  letter-spacing: 0.08px;
  color: #ffffff;
  text-shadow: 5px 2px black;
  margin: 0 auto;
}

.btn {
  font-family: "Joker", sans-serif;
  font-style: normal;
  text-align: center;
  padding: 12px;
  font-size: 18px;
  color: #ffffff;
  height: 55px;
  line-height: 20px;
  border-radius: 8px;
  cursor: pointer;
  overflow: hidden;
  -webkit-mask: url("https://raw.githubusercontent.com/robin-dela/css-mask-animation/master/img/nature-sprite.png");
  mask: url("https://raw.githubusercontent.com/robin-dela/css-mask-animation/master/img/nature-sprite.png");
  -webkit-mask-size: 2300% 100%;
  mask-size: 2300% 100%;
  animation: anim1 0.7s steps(22) forwards;
  text-shadow: 2px 2px black;
}

.btn:hover {
  animation: anim2 0.7s steps(22) forwards;
}

.btn .mask {
  color: white;
  width: 100%;
  overflow: hidden;
}

@keyframes anim1 {
  from {
    -webkit-mask-position: 100% 0;
    mask-position: 100% 0;
  }

  to {
    -webkit-mask-position: 0 0;
    mask-position: 0 0;
  }
}

@keyframes anim2 {
  from {
    -webkit-mask-position: 0 0;
    mask-position: 0 0;
  }

  to {
    -webkit-mask-position: 100% 0;
    mask-position: 100% 0;
  }
}

.singlePlayer,
.multiPlayer {
  width: 220px;
}

.btn-type1 {
  border: rgba(211, 46, 206);
  background: rgba(211, 46, 206);
}

.btn-type2 {
  border: rgba(46, 211, 58);
  background: rgba(46, 211, 58);
}

.btn-type1:active,
.btn-type2:active {
  transform: scale(0.97);
  transition: transform 0.2s ease-in-out;
}

.Player1,
.Player2 {
  /*Scoreboard text*/
  position: relative;
  top: 30px;
  font-family: "Joker", sans-serif;
  font-style: normal;
  font-weight: 800;
  font-size: 20px;
  line-height: 36px;
  text-align: left;
  letter-spacing: -0.1em;
  color: #ffffff;
  margin-bottom: 15px;
  text-shadow: 2px 2px black;
}

.second-board,
.first-board {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 28px;
  align-self: center;
  width: 220px;
  background: linear-gradient(
    160.65deg,
    rgba(211, 46, 206, 0.9) 0.9%,
    rgba(46, 211, 58, 0.9) 102.03%
  );
  border-radius: 8px;
  margin: 0 auto;
}

.hide {
  display: none;
}

.game-section {
  display: flex;
  padding: 50px 0;
  overflow: hidden;
  -webkit-mask: url("https://raw.githubusercontent.com/robin-dela/css-mask-animation/master/img/nature-sprite.png");
  mask: url("https://raw.githubusercontent.com/robin-dela/css-mask-animation/master/img/nature-sprite.png");
  -webkit-mask-size: 2300% 100%;
  mask-size: 2300% 100%;
  animation: anim1 0.7s steps(22) forwards;
}

.top-section {
  display: flex;
  justify-content: center;
  padding: 20px;
  text-align: center;
}

.bottom-section {
  display: flex;
  justify-content: space-evenly;
}

.gameplay {
  display: none;
}

.bomb1,
.bomb2 {
  opacity: 1;
  pointer-events: none;
  animation: shake 1s cubic-bezier(0.36, 0.07, 0.19, 0.97) both infinite;
  transform: translate3d(0, 0, 0) rotate(45deg);
}

.logos {
  margin-top: 20px;
  pointer-events: none;
}

#time {
  text-align: center;
}

.menu {
  display: grid;
  text-align: center;
  height: 100vh;
}

.menu .title {
  align-self: center;
}

.menu .menu-buttons {
  justify-content: space-evenly;
  display: flex;
}

.title h2 span,
#time {
  display: block;
  animation: reveal 1.5s cubic-bezier(0.8, 0.5, 0.2, 2) 0.5s;
}

@keyframes reveal {
  0% {
    transform: translate(0, -100%);
  }

  100% {
    transform: translate(0, 0);
  }
}

@keyframes shake {
  10%,
  90% {
    transform: translate3d(-1px, 0, 0) rotate(45deg);
  }
  20%,
  80% {
    transform: translate3d(2px, 0, 0) rotate(45deg);
  }
  30%,
  50%,
  70% {
    transform: translate3d(-4px, 0, 0) rotate(45deg);
  }
  40%,
  60% {
    transform: translate3d(4px, 0, 0) rotate(45deg);
  }
}

.win-screen {
  text-align: center;
  display: none;
  height: 100vh;
  flex-wrap: wrap;
  align-content: center;
  animation: anim1 0.7s steps(22) forwards;
}

.bomb-off {
  display: none;
  width: 60%;
  margin: auto;
  padding: 20px;
}

.win-img-flash,
.win-img-batman {
  display: none;
  margin: auto;
  padding-bottom: 10px;
}

.joke {
  display: none;
  font-size: 20px;
}
